---
layout: default
title: "Ecosystem"
---

# Ecosystem

  - [List Related Components](#list-related-components)
  - [Fields](#fields)
  - [Inputs](#inputs)
  - [Translations](#translations)
  - [Authentication Providers](#authentication-providers)
  - [Authorization Management](#authorization-management)
  - [Data Providers](#data-providers)
  - [User Interface](#user-interface)
  - [Miscellaneous](#miscellaneous)

## List Related Components

See the [List](./List.md#third-party-components) page.

## Show Related Components

See the [Show](./Show.md#third-party-components) page.

## Fields

See the [Field](./Fields.md#third-party-components) page.

## Inputs

See the [Input](./Inputs.md#third-party-components) page.

## Translations

See the [Translation](./Translation.md#available-locales) page.

## Authentication Providers

See the [Auth Provider](./Authentication.md#available-providers) page. Here is a list of additional packages:

- **[Access Control List (ACL) for Resources](https://github.com/marmelab/ra-auth-acl)**: [marmelab/ra-auth-acl](https://github.com/marmelab/ra-auth-acl)

## Data Providers

See the [Data Provider](./DataProviders.md#available-providers) page.

## User Interface

- [**Bootstrap**](https://getbootstrap.com/): [bootstrap-styled/react-admin](https://bootstrap-styled.github.io/react-admin)

## Miscellaneous

- [@react-admin/ra-preferences](https://marmelab.com/ra-enterprise/modules/ra-preferences) <img class="icon" src="./img/premium.svg" />: a [ra-enterprise](https://marmelab.com/ra-enterprise) module which persists user preferences (language, theme, filters, datagrid columns, sidebar position, etc) in local storage.
- [@react-admin/ra-navigation](https://marmelab.com/ra-enterprise/modules/ra-navigation) <img class="icon" src="./img/premium.svg" />: a [ra-enterprise](https://marmelab.com/ra-enterprise) module which offers specialized UI components (`<Breadcrumb>`, `<MultiLevelMenu>`) and hooks (`useDefineAppLocation`, `useAppLocationstate`) to organize pages in a tree structure, and provide navigation widgets () to help users find their way in that structure.
- [@react-admin/ra-realtime](https://marmelab.com/ra-enterprise/modules/ra-realtime) <img class="icon" src="./img/premium.svg" />: a [ra-enterprise](https://marmelab.com/ra-enterprise) module which provides hooks and UI components to lock records, live update views when a change occurs in the background, and notify the user of these events.
- [@react-admin/ra-tour](https://marmelab.com/ra-enterprise/modules/ra-tour) <img class="icon" src="./img/premium.svg" />: a [ra-enterprise](https://marmelab.com/ra-enterprise) module which provides a way to guide users through tutorials to showcase and explain important features of your interfaces.
- [FusionWorks/react-admin-google-maps](https://github.com/FusionWorks/react-admin-google-maps): Input/view components for displaying location using Google Maps.
- [api-platform/admin](https://api-platform.com/docs/admin): create a fully featured admin using React Admin for API supporting the [Hydra Core Vocabulary](https://www.hydra-cg.com/), including but not limited to APIs created using the [API Platform framework](https://api-platform.com)
- [zifnab87/ra-component-factory](https://github.com/zifnab87/ra-component-factory): a centralized configuration of immutability/visibility of fields/menu-links/action buttons, easy re-ordering of fields/properties and tab reorganization based on permission roles
- [ctbucha/bs-react-admin](https://github.com/ctbucha/bs-react-admin): [BuckleScript](https://bucklescript.github.io/) bindings for React Admin.
- [dryhten/ra-resource-aggregator](https://github.com/dryhten/ra-resource-aggregator): Resource aggregator for react-admin. It allows you to edit/create/delete multiple resources in the same view.
- [Dev XP demo (YouTube)](https://youtu.be/nHkVxDEnB3g): How to make changes to the core React Admin project locally
- [react-admin-import-csv](https://github.com/benwinding/react-admin-import-csv): A csv file import button for react-admin.
- [@bb-tech/ra-treemenu](https://github.com/BigBasket/ra-treemenu): A tree-like menu implementation which enables quick and easy integration of a hierarchical menu structure in react-admin.
